package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目设置对象 pro_project_info_setting
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class ProProjectInfoSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 显示名称 */
    @Excel(name = "显示名称")
    private String orgName;

    /** 显示LOGO */
    @Excel(name = "显示LOGO")
    private String orgLogo;

    /** 项目图片 */
    @Excel(name = "项目图片")
    private String orgImage;

    /** 项目视频 */
    @Excel(name = "项目视频")
    private String orgVideo;

    /** 项目平面图 */
    @Excel(name = "项目平面图")
    private String orgPlane;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setOrgLogo(String orgLogo) 
    {
        this.orgLogo = orgLogo;
    }

    public String getOrgLogo() 
    {
        return orgLogo;
    }
    public void setOrgImage(String orgImage) 
    {
        this.orgImage = orgImage;
    }

    public String getOrgImage() 
    {
        return orgImage;
    }
    public void setOrgVideo(String orgVideo) 
    {
        this.orgVideo = orgVideo;
    }

    public String getOrgVideo() 
    {
        return orgVideo;
    }
    public void setOrgPlane(String orgPlane) 
    {
        this.orgPlane = orgPlane;
    }

    public String getOrgPlane() 
    {
        return orgPlane;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("orgName", getOrgName())
            .append("orgLogo", getOrgLogo())
            .append("orgImage", getOrgImage())
            .append("orgVideo", getOrgVideo())
            .append("orgPlane", getOrgPlane())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
